| API Docs for SAX and DOM |
| Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members # XMLAbstractDoubleFloat Class Reference Inheritance diagram for XMLAbstractDoubleFloat: [legend] Collaboration diagram for XMLAbstractDoubleFloat: [legend] List of all members.
## Public Types
enum | LiteralType { NegINF, NegZero, PosZero, PosINF, NaN, SpecialTypeNum, Normal }
## Public Methods
virtual | ~XMLAbstractDoubleFloat ()
virtual XMLCh * | toString () const
| Return string representation of the decimal value.
virtual XMLCh * | getRawData () const
| Return string representation of the decimal value.
virtual const XMLCh * | getFormattedString () const
| Return the original and converted value of the original data.
virtual int | getSign () const
| Returns the sign of this number.
## Protected Methods
| XMLAbstractDoubleFloat ()
void | init (const XMLCh *const strValue)
virtual void | checkBoundary (const XMLCh *const strValue)=0
## Static Protected Methods
int | compareValues (const XMLAbstractDoubleFloat *const lValue, const XMLAbstractDoubleFloat *const rValue)
| Compares this object to the specified object.
## Protected Attributes
double | fValue
LiteralType | fType
bool | fDataConverted
## Member Enumeration Documentation
enum XMLAbstractDoubleFloat::LiteralType
  | Enumeration values:
  NegINF |
  NegZero |
  PosZero |
  PosINF |
  NaN |
  SpecialTypeNum |
  Normal |
## Constructor & Destructor Documentation
virtual XMLAbstractDoubleFloat::~XMLAbstractDoubleFloat | ( |  | ) | `[virtual]`
XMLAbstractDoubleFloat::XMLAbstractDoubleFloat | ( |  | ) | `[protected]`
## Member Function Documentation
virtual void XMLAbstractDoubleFloat::checkBoundary | ( | const XMLCh *const | strValue | ) | `[protected, pure virtual]`
| Implemented in XMLDouble, and XMLFloat.
int XMLAbstractDoubleFloat::compareValues | ( | const XMLAbstractDoubleFloat *const | lValue,
|  | const XMLAbstractDoubleFloat *const | rValue
| ) | `[static, protected]`
  | Compares this object to the specified object. The result is `true` if and only if the argument is not `null` and is an `XMLAbstractDoubleFloat` object that contains the same `int` value as this object. Parameters:
  lValue | the object to compare with.
  rValue | the object to compare against.
Returns: `true` if the objects are the same; `false` otherwise.
virtual const XMLCh* XMLAbstractDoubleFloat::getFormattedString | ( |  | ) | `[virtual]`
| Return the original and converted value of the original data. (applicable to double/float) The internal buffer is returned directly, user is not required to delete the returned buffer Implements XMLNumber.
virtual XMLCh* XMLAbstractDoubleFloat::getRawData | ( |  | ) | `[virtual]`
| Return string representation of the decimal value. A decimal point will be included as necessary. Similar to toString above, but the internal buffer is returned directly, user is not required to delete the returned buffer Implements XMLNumber.
virtual int XMLAbstractDoubleFloat::getSign | ( |  | ) | `[virtual]`
| Returns the sign of this number. -1 negative 0 zero 1 positive Implements XMLNumber.
void XMLAbstractDoubleFloat::init | ( | const XMLCh *const | strValue | ) | `[protected]`
virtual XMLCh* XMLAbstractDoubleFloat::toString | ( |  | ) | `[virtual]`
| Return string representation of the decimal value. A decimal point will be included as necessary, the caller of this method is responsible for the de-allocation of the memory. Implements XMLNumber.
## Member Data Documentation
bool XMLAbstractDoubleFloat::fDataConverted`[protected]`
LiteralType XMLAbstractDoubleFloat::fType`[protected]`
double XMLAbstractDoubleFloat::fValue`[protected]`
The documentation for this class was generated from the following file: XMLAbstractDoubleFloat.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.